Bug 329610 - kontact crashes when i open a message and click an embedded http link
Summary: kontact crashes when i open a message and click an embedded http link
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 4.12
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-01-05 07:02 UTC by przxqgl
Modified: 2017-01-07 21:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description przxqgl 2014-01-05 07:02:24 UTC
Application: kontact (4.12)
KDE Platform Version: 4.12.0
Qt Version: 4.8.2
Operating System: Linux 3.2.0-58-generic-pae i686
Distribution: Ubuntu 12.04.3 LTS

-- Information about the crash:
- What I was doing when the application crashed:

1) i had not been at the computer all day. upon returning, i cancelled xscreensaver, and switched to kontact, then
2) i clicked on the first new message in my inbox
3) i clicked on an embedded http link in that message.

RESULT: firefox (my default browser) began to open a new window, then closed it, and kontact crashed

- Unusual behavior I noticed:

after not using the computer all day, but having kontact running, i noticed that it was a little sluggish when i cancelled the screensaver and switched to kontact.

-- Backtrace:
Application: Kontact (kontact), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb2059740 (LWP 2223))]

Thread 4 (Thread 0xaf91db40 (LWP 2228)):
#0  0xb776c424 in __kernel_vsyscall ()
#1  0xb394c96b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb609b4bc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb50ac263 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb50ac37f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb3948d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb608dbae in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xaeffcb40 (LWP 2229)):
#0  0xb369adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb62f43e5 in do_gettime (frac=0xaeffc000, sec=0xaeffbff8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb63de726 in QTimerInfoList::updateCurrentTime (this=0xae602074) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb63dea7a in QTimerInfoList::timerWait (this=0xae602074, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb63dd323 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xaeffc0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb3875832 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb3875f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb38761c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb63ddde7 in QEventDispatcherGlib::processEvents (this=0xae600468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#10 0xb63a96ad in QEventLoop::processEvents (this=0xaeffc270, flags=...) at kernel/qeventloop.cpp:149
#11 0xb63a9949 in QEventLoop::exec (this=0xaeffc270, flags=...) at kernel/qeventloop.cpp:204
#12 0xb6292a1c in QThread::exec (this=0x9bb7810) at thread/qthread.cpp:501
#13 0xb6292b0b in QThread::run (this=0x9bb7810) at thread/qthread.cpp:568
#14 0xb6295eb0 in QThreadPrivate::start (arg=0x9bb7810) at thread/qthread_unix.cpp:307
#15 0xb3948d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#16 0xb608dbae in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xa90c4b40 (LWP 2264)):
#0  0xb369adcd in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb62f43e5 in do_gettime (frac=0xa90c3fb0, sec=0xa90c3fa8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb63de726 in QTimerInfoList::updateCurrentTime (this=0xae60dc34) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb63dea7a in QTimerInfoList::timerWait (this=0xae60dc34, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb63dd323 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa90c40bc) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb63dd3bd in timerSourcePrepare (source=0xae60dc00, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb3875832 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3875f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb38761c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb63ddde7 in QEventDispatcherGlib::processEvents (this=0xae602548, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb63a96ad in QEventLoop::processEvents (this=0xa90c4240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb63a9949 in QEventLoop::exec (this=0xa90c4240, flags=...) at kernel/qeventloop.cpp:204
#13 0xb6292a1c in QThread::exec (this=0xa4a3cb8) at thread/qthread.cpp:501
#14 0xb6386cfd in QInotifyFileSystemWatcherEngine::run (this=0xa4a3cb8) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb6295eb0 in QThreadPrivate::start (arg=0xa4a3cb8) at thread/qthread_unix.cpp:307
#16 0xb3948d4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0xb608dbae in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb2059740 (LWP 2223)):
[KCrash Handler]
#7  0xb776c424 in __kernel_vsyscall ()
#8  0xb5fcc1df in raise () from /lib/i386-linux-gnu/libc.so.6
#9  0xb5fcf825 in abort () from /lib/i386-linux-gnu/libc.so.6
#10 0xb600939a in ?? () from /lib/i386-linux-gnu/libc.so.6
#11 0xb60a2eb5 in __fortify_fail () from /lib/i386-linux-gnu/libc.so.6
#12 0xb60a1c8a in __chk_fail () from /lib/i386-linux-gnu/libc.so.6
#13 0xb60a2e4a in __fdelt_warn () from /lib/i386-linux-gnu/libc.so.6
#14 0xb63825e3 in QProcessPrivate::waitForStarted (this=0x35c18590, msecs=30000) at io/qprocess_unix.cpp:1038
#15 0xb6337044 in QProcess::waitForStarted (this=0x16478b30, msecs=30000) at io/qprocess.cpp:1687
#16 0xb5dd952e in KProcessRunner::KProcessRunner (this=0x1510fd40, p=0x16478b30, executable=..., _id=...) at ../../kio/kio/krun.cpp:1745
#17 0xb5dd95d4 in KProcessRunner::run (p=0x16478b30, executable=..., id=...) at ../../kio/kio/krun.cpp:1727
#18 0xb5dd9cf2 in runCommandInternal (proc=0x16478b30, service=0x24295c10, executable=..., userVisibleName=..., iconName=..., window=<optimized out>, asn=...) at ../../kio/kio/krun.cpp:634
#19 0xb5dddba7 in runTempService (_service=..., _urls=..., window=0xa089838, tempFiles=false, suggestedFileName=..., asn=...) at ../../kio/kio/krun.cpp:734
#20 0xb5dde4fa in KRun::run (_service=..., _urls=..., window=0xa089838, tempFiles=false, suggestedFileName=..., asn=...) at ../../kio/kio/krun.cpp:997
#21 0xb5de0b3a in KRun::run (_exec=..., _urls=..., window=0xa089838, _name=..., _icon=..., asn=...) at ../../kio/kio/krun.cpp:1047
#22 0xb5de0ca3 in KRun::KRunPrivate::runExecutable (this=0x48c217c0, _exec=...) at ../../kio/kio/krun.cpp:1265
#23 0xb5de1674 in KRun::init (this=0x15c3e730) at ../../kio/kio/krun.cpp:1161
#24 0xb5dda704 in KRun::slotTimeout (this=0x15c3e730) at ../../kio/kio/krun.cpp:1328
#25 0xb5dda888 in qt_static_metacall (_a=0xbf8fe5f0, _id=2, _o=0x15c3e730, _c=<optimized out>) at ./krun.moc:63
#26 KRun::qt_static_metacall (_o=0x15c3e730, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf8fe5f0) at ./krun.moc:55
#27 0xb63c1bb1 in QMetaObject::activate (sender=0x48c217f0, m=0xb65094d8, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#28 0xb6414b25 in QTimer::timeout (this=0x48c217f0) at .moc/release-shared/moc_qtimer.cpp:148
#29 0xb63caa66 in QTimer::timerEvent (this=0x48c217f0, e=0xbf8feafc) at kernel/qtimer.cpp:280
#30 0xb63c5fc4 in QObject::event (this=0x48c217f0, e=0xbf8feafc) at kernel/qobject.cpp:1157
#31 0xb691cdf4 in notify_helper (e=0xbf8feafc, receiver=0x48c217f0, this=0x9b1e970) at kernel/qapplication.cpp:4556
#32 QApplicationPrivate::notify_helper (this=0x9b1e970, receiver=0x48c217f0, e=0xbf8feafc) at kernel/qapplication.cpp:4528
#33 0xb692215d in QApplication::notify (this=0xbf8feafc, receiver=0x48c217f0, e=0xbf8feafc) at kernel/qapplication.cpp:4285
#34 0xb74a2161 in KApplication::notify (this=0xbf8fee04, receiver=0x48c217f0, event=0xbf8feafc) at ../../kdeui/kernel/kapplication.cpp:311
#35 0xb63aae0e in QCoreApplication::notifyInternal (this=0xbf8fee04, receiver=0x48c217f0, event=0xbf8feafc) at kernel/qcoreapplication.cpp:915
#36 0xb63dfe90 in sendEvent (event=0xbf8feafc, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#37 QTimerInfoList::activateTimers (this=0x9b15534) at kernel/qeventdispatcher_unix.cpp:611
#38 0xb63dd5f8 in timerSourceDispatch (source=0x9b15500) at kernel/qeventdispatcher_glib.cpp:186
#39 timerSourceDispatch (source=0x9b15500) at kernel/qeventdispatcher_glib.cpp:180
#40 0xb3875d46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#41 0xb38760e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#42 0xb38761c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#43 0xb63ddd87 in QEventDispatcherGlib::processEvents (this=0x9aea600, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#44 0xb69d5a1a in QGuiEventDispatcherGlib::processEvents (this=0x9aea600, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#45 0xb63a96ad in QEventLoop::processEvents (this=0xbf8fed64, flags=...) at kernel/qeventloop.cpp:149
#46 0xb63a9949 in QEventLoop::exec (this=0xbf8fed64, flags=...) at kernel/qeventloop.cpp:204
#47 0xb63af34a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#48 0xb691a9c4 in QApplication::exec () at kernel/qapplication.cpp:3817
#49 0x0804ac51 in main (argc=<error reading variable: Cannot access memory at address 0x8af>, argv=<error reading variable: Cannot access memory at address 0x8b3>) at ../../../kontact/src/main.cpp:219

Possible duplicates by query: bug 323711, bug 322782, bug 307143.

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 19:25:22 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 21:33:59 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.